// script to generate a simple 3d surface with a maximum and minimum
// for figure F_PAROPT_error_surf.fig
// further processing is done in XFig afterwards

// load XFig driver
driver('Fig');
current_driver=driver();

xbasc();

// actual plot
xinit('conjug_grad.fig')

xset("use color",0);

deff('[f]=surf(x,y)', ...
     'f = sin(x-%pi/2)*cos(y+%pi/2)*sin(x*y)');

t1 = %pi/6 : %pi/60 : %pi + %pi/6;
t2 = 0 : %pi/10 : %pi;
c = [-0.9, -0.6, -0.5 -0.3, -0.1, 0, 0.1, 0.3, 0.5, 0.6, 0.9];
z = feval(t1,t2,surf);
contour2d(t1,t2,z,c,ones(1,size(c,'c')),"011",'x@y', ...
  [%pi/6, 0, %pi + %pi/6, %pi],[1,1,1,1]);

xend();
